Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetSessionDao

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.bean.InetSessionDao

public class InetSessionDao extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetSessionDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `closeSession(long connectionId, long id, Date sessionStop)`
  `boolean`
  `delete(long sessionId)`
  `InetSessionLog`
  `getAsLog(List<InetServType> servTypeDirectory, long sessionId)`
  `static Object[]`
  `getCall(Connection con, int moduleId, InetConnection connection, Date connectionStart, long parentConnectionId, boolean start, boolean acctSessIdAlwaysPresent, boolean ipAlwaysPresent, boolean nasPortCorrect)`
  Получение активной call сессии, если таковая есть в базе
  Она может там быть, если стартовала на другом accounting сервере.
  Или если занесена запись после удачной авторизации.
  `static Map<Integer,AccountingTrafficAmount>`
  `getCountersFromDB(Connection con, int moduleId, ru.bitel.bgbilling.modules.inet.server.runtime.InetServTypeRuntime servType, long sessionId)`
  `long`
  `getNextSessionId()`
  `static InetSession`
  `getSessionFromRS(ResultSet rs)`
  `void`
  `insert(InetSession b)`
  `List<InetSession>`
  `list(long connectionId, InetConnectionStatus status)`
  `protected List<InetSessionLog>`
  `listAsLog(List<InetServType> servTypeDirectory, Set<Integer> deviceIds, Set<Integer> servTypeIds, Set<Integer> cids, String contract, Set<Integer> servIds, String login, long sessionId, String ip, String callingStation, Date timeFrom, Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions)`
  `List<InetSessionLog>`
  `listAsLog(List<InetServType> servTypeDirectory, Set<Integer> deviceIds, Set<Integer> servTypeIds, Set<Integer> contractIds, String contract, Set<Integer> servIds, String login, String ip, String callingStation, Date timeFrom, Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions)`
  `List<InetSessionLog>`
  `listAsLog(List<InetServType> servTypeDirectory, Set<Integer> deviceIds, Set<Integer> servTypeIds, Set<Integer> contractIds, Set<Integer> servIds, Date timeFrom, Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions)`
  `List<Object>`
  `listAuto(int deviceId, Set<Integer> servTypeIds, Date date)`
  Получение auto сервисов и связанных auto сессий, если они есть.
  `List<Object[]>`
  `listCall(int deviceId, Set<Integer> servTypeIds)`
  Список активных call сессий

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetSessionDao

    public InetSessionDao(Connection con, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### insert

    public void insert(InetSession b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNextSessionId

    public long getNextSessionId() throws SQLException
    Throws:
      `SQLException`

  - ### closeSession

    public boolean closeSession(long connectionId, long id, Date sessionStop) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionFromRS

    public static InetSession getSessionFromRS(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<InetSession> list(long connectionId, InetConnectionStatus status) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listAuto

    public List<Object> listAuto(int deviceId, Set<Integer> servTypeIds, Date date) throws ru.bitel.bgbilling.common.BGException
    Получение auto сервисов и связанных auto сессий, если они есть.
    Parameters:
      `deviceId` -
      `servTypeIds` -
      `date` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listCall

    public List<Object[]> listCall(int deviceId, Set<Integer> servTypeIds) throws ru.bitel.bgbilling.common.BGException
    Список активных call сессий
    Parameters:
      `deviceId` - - код устройства - наса, к которому привязаны сессии (не сервисы, а сессии!)
      `servTypeIds` - - коды типов сервиса. обычно это все типы сервиса, у которых `InetServType.SESSION_INITIATION_CALL`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCall

    public static Object[] getCall(Connection con, int moduleId, InetConnection connection, Date connectionStart, long parentConnectionId, boolean start, boolean acctSessIdAlwaysPresent, boolean ipAlwaysPresent, boolean nasPortCorrect) throws ru.bitel.bgbilling.common.BGException
    Получение активной call сессии, если таковая есть в базе
    Она может там быть, если стартовала на другом accounting сервере.
    Или если занесена запись после удачной авторизации.
    Parameters:
      `deviceId` - - код устройства - наса, к которому привязаны сессии (не сервисы, а сессии!)
      `nasPort` -
      `inetServId` -
      `acctSessionId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listAsLog

    public List<InetSessionLog> listAsLog(List<InetServType> servTypeDirectory, Set<Integer> deviceIds, Set<Integer> servTypeIds, Set<Integer> contractIds, Set<Integer> servIds, Date timeFrom, Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listAsLog

    public List<InetSessionLog> listAsLog(List<InetServType> servTypeDirectory, Set<Integer> deviceIds, Set<Integer> servTypeIds, Set<Integer> contractIds, String contract, Set<Integer> servIds, String login, String ip, String callingStation, Date timeFrom, Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAsLog

    public InetSessionLog getAsLog(List<InetServType> servTypeDirectory, long sessionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listAsLog

    protected List<InetSessionLog> listAsLog(List<InetServType> servTypeDirectory, Set<Integer> deviceIds, Set<Integer> servTypeIds, Set<Integer> cids, String contract, Set<Integer> servIds, String login, long sessionId, String ip, String callingStation, Date timeFrom, Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCountersFromDB

    public static Map<Integer,AccountingTrafficAmount> getCountersFromDB(Connection con, int moduleId, ru.bitel.bgbilling.modules.inet.server.runtime.InetServTypeRuntime servType, long sessionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public boolean delete(long sessionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`